.h_1 {
  font-size: 4.2rem;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.2;
}

.h_2 {
  font-size: 3.2rem;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.2;
}

.h_3 {
  font-size: 2.2rem;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.2;
}

.p_l {
  font-size: 1.8rem;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.5;
}

.p_m {
  font-size: 1.6rem;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.5;
}

.p_s {
  font-size: 1.2rem;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.5;
}

.link {
  position: relative;
  cursor: pointer;
  padding: 1px 0;
  color: var(--font-secondary-color);
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.5;

  &:after {
    content: '';
    position: absolute;
    width: 0;
    height: 1px;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    background-color: var(--font-secondary-color);
    transition: width var(--transition);
  }

  @media (hover: hover) and (pointer: fine) {
    &:hover {
      &:after {
        width: 100%;
      }
    }
  }

  @media (hover: none) {
    &:after {
      width: 100%;
    }
  }
}

.ellipsis {
  overflow: hidden;
  display: block;
  max-width: 100%;
  white-space: nowrap;
  text-overflow: ellipsis;
}
